package com.bwie.auth.feign;

import com.bwie.common.domain.User;
import com.bwie.common.domain.request.UserRequest;
import com.bwie.common.result.Result;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

@FeignClient("bwie-user")
public interface FeignService {
    @PostMapping("/user")
    public Result<User> user(@RequestBody UserRequest userRequest);
}
