package com.bwie.project.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.bwie.common.domain.Project;
import com.bwie.common.domain.request.ProjectInquire;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author sikadi
 * @since 2023-10-08 02:57:22
 */
@Mapper
public interface ProjectMapper  {

    /**
     * @description: 查询列表
     * @author: (扭曲)(爬行)(抽搐)
     * @date: 2023/10/8 16:46
     * @param: [projectInquire]
     * @return: java.util.List<com.bwie.common.domain.Project>
     **/
    List<Project> projectList(ProjectInquire projectInquire);

    /**
     * @description: 添加
     * @author: (扭曲)(爬行)(抽搐)
     * @date: 2023/10/9 10:21
     * @param: [project]
     * @return: int
     **/
    int projectIncrease(Project project);

    /**
     * @description: 添加中间表
     * @author: (扭曲)(爬行)(抽搐)
     * @date: 2023/10/9 10:35
     * @param: [project]
     * @return: int
     **/
    int projectCostTypeIncrease(Project project);
}
