package com.bwie.project.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.bwie.common.domain.Project;
import com.bwie.common.domain.request.ProjectInquire;
import com.bwie.common.result.PageResult;
import com.bwie.common.result.Result;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author sikadi
 * @since 2023-10-08 02:57:22
 */
public interface ProjectService  {

    /**
     * @description: 列表
     * @author: (扭曲)(爬行)(抽搐)
     * @date: 2023/10/8 16:37
     * @param: [projectInquire]
     * @return: com.bwie.common.result.PageResult
     **/
    PageResult projectList(ProjectInquire projectInquire);

    /**
     * @description: 添加
     * @author: (扭曲)(爬行)(抽搐)
     * @date: 2023/10/9 8:15
     * @param: [project]
     * @return: com.bwie.common.result.Result
     **/
    Result projectIncrease(Project project);
}
