package com.bwie.common.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 *
 * </p>
 *
 * @author sikadi
 * @since 2023-10-08 03:10:40
 */
@Getter
@Setter
@TableName("t_project_cost_type")
@ApiModel(value = "ProjectCostType对象", description = "")
public class ProjectCostType {

    @TableId("id")
    private Integer id;

    @ApiModelProperty("项目id")
    @TableField("project_id")
    private Integer projectId;

    @ApiModelProperty("项目成本类型id")
    @TableField("cost_type_id")
    private Integer costTypeId;

    @ApiModelProperty("项目成本类型名称")
    private String costTypeName;


    @ApiModelProperty("估算金额")
    @TableField("imputed_amount")
    private Double imputedAmount;

    @ApiModelProperty("概算金额")
    @TableField("estimated_amount")
    private Double estimatedAmount;

    @ApiModelProperty("0:待审核   1：审核通过  2：审核不通过 估算=概算则审核通过")
    @TableField("status")
    private Integer status;

    @ApiModelProperty("修改人")
    @TableField("update_by")
    private Integer updateBy;

    @ApiModelProperty("修改时间")
    @TableField("update_time")
    private Integer updateTime;




}
