package com.bwie.common.domain.request;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @description: TODO
 * @author: SIKADI
 * @date: 2023/10/8 16:27
 **/
@Data
public class ProjectInquire {



    @ApiModelProperty("第几页")
    private Integer pageNum=1;

    @ApiModelProperty("每页条数")
    private Integer pageSize=3;

    @ApiModelProperty("项目名称")
    private String projectName;

    @ApiModelProperty("项目客户方")
    private String projectClient;

    @ApiModelProperty("项目立项开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern="yyyy-MM-dd",timezone = "GMT+8")
    private Date projectCreateTimeStart;

    @ApiModelProperty("项目立项结束时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern="yyyy-MM-dd",timezone = "GMT+8")
    private Date projectCreateTimeEnd;



}
