package com.bwie.costType.service.impl;

import com.bwie.common.domain.CostType;
import com.bwie.common.domain.ProjectCostType;
import com.bwie.common.result.Result;
import com.bwie.costType.mapper.CostTypeMapper;
import com.bwie.costType.service.CostTypeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class CostTypeServiceImpl implements CostTypeService {
    @Autowired
    private CostTypeMapper costTypeMapper;


    /**
     * 获取成本类型列表
     * @return
     */
    @Override
    public Result<List<CostType>> costTypeList() {
        List<CostType> list = costTypeMapper.costTypeList();
        return Result.success();
    }


}
